#
# spec file for package dosfstools (Version 2.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         dosfstools
Provides:     mkdosfs dosfsck
Copyright:    GPL
Group:        Applications/System
Autoreqprov:  on
Summary:      Utilities for Making and Checking MS-DOS FAT Filesystems on Linux
Version:      2.8
Release:      102
Source:       ftp://ftp.uni-erlangen.de/pub/Linux/LOCAL/dosfstools/dosfstools-%{version}.src.tar.gz
Patch: 	      dosfstools-%{version}.dif
Obsoletes:    mkdosfs dosfsck dosfstls
BuildRoot:    /var/tmp/dosfstls-root

%description
The dosfstools package includes the mkdosfs and dosfsck utilities,
which respectively make and check MS-DOS FAT filesystems on hard
drives or on floppies.

Authors:
--------
    Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>

SuSE series: ap

%prep
%setup -n dosfstools-%{version}
%patch 

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,%{_mandir}/man8}
install -m755 -s mkdosfs/mkdosfs $RPM_BUILD_ROOT/sbin/
ln -sf mkdosfs $RPM_BUILD_ROOT/sbin/mkfs.msdos
install -m 644 mkdosfs/mkdosfs.8 $RPM_BUILD_ROOT%{_mandir}/man8/
ln -sf mkdosfs.8.gz $RPM_BUILD_ROOT%{_mandir}/man8/mkfs.msdos.8.gz
install -m755 -s dosfsck/dosfsck $RPM_BUILD_ROOT/sbin/
ln -sf dosfsck $RPM_BUILD_ROOT/sbin/fsck.msdos
install -m 644 dosfsck/dosfsck.8 $RPM_BUILD_ROOT%{_mandir}/man8/
ln -sf dosfsck.8.gz $RPM_BUILD_ROOT%{_mandir}/man8/fsck.msdos.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/*
%{_mandir}/man8/*.gz

%changelog -n dosfstools
* Fri Sep 14 2001 - schwab@suse.de
- Fix crash if mkdosfs is called without arguments.
* Tue May 22 2001 - pblaha@suse.cz
- fixed include files on ia64
* Sun Apr 08 2001 - schwab@suse.de
- Fix to build on ia64.
* Mon Mar 05 2001 - pblaha@suse.cz
- update on 2.8
* Mon Feb 12 2001 - ro@suse.de
- don't include linux/fs.h
* Thu Jan 18 2001 - schwab@suse.de
- Add Obsoletes: dosfstls.
* Wed Jan 17 2001 - pblaha@suse.cz
- added message  "not enough memory to run dosfsck\n"
- if not free memory for malloc
* Fri Dec 22 2000 - pblaha@suse.cz
- upgrade on 2.6 and rename on dosfstools
* Mon Dec 04 2000 - sf@suse.de
- corrected patch to compile on Alpha and ia64
* Tue Nov 21 2000 - uli@suse.de
- worked around strncasecmp declaration conflict in mkdosfs.c
* Mon Nov 13 2000 - ro@suse.de
- hacked to compile on 2.4 includes
* Thu Nov 02 2000 - pblaha@suse.cz
- update to version 2.4
* Mon Jun 05 2000 - schwab@suse.de
- Fix llseek on ia64.
* Fri Jun 02 2000 - bubnikv@suse.cz
- new package in SuSE, version 2.2
- makes packages dosfsck and mkdosfs obsolette
